InputThread (PircBot 1.5.0 - Java IRC API Bot Framework)
Keywords: org.jibble.pircbot.InputThread class

Package | Class | Use | Tree | Deprecated | Index | Help
| PircBot Java IRC Bot
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibble.pircbot
Class InputThread

    java.lang.Object
      java.lang.Thread
          org.jibble.pircbot.InputThread

All Implemented Interfaces:
  Runnable

public class InputThread
extends Thread

A Thread which reads lines from the IRC server. It then passes these lines to the PircBot without changing them. This running Thread also detects disconnection from the server and is thus used by the OutputThread to send lines to the server.

Version:
  1.5.0 (Build time: Mon Dec 14 20:07:17 2009)
Author:
  Paul James Mutton, http://www.jibble.org/

Field Summary
`static int` | `MAX_LINE_LENGTH`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`void` | `dispose()` Closes the socket without onDisconnect being called subsequently.
`void` | `run()` Called to start this Thread reading lines from the IRC server.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_LINE_LENGTH

    public static final int MAX_LINE_LENGTH

See Also:
  Constant Field Values

Method Detail

### run

    public void run()

  Called to start this Thread reading lines from the IRC server. When a line is read, this method calls the handleLine method in the PircBot, which may subsequently call an 'onXxx' method in the PircBot subclass. If any subclass of Throwable (i.e. any Exception or Error) is thrown by your method, then this method will print the stack trace to the standard output. It is probable that the PircBot may still be functioning normally after such a problem, but the existance of any uncaught exceptions in your code is something you should really fix.

### dispose

    public void dispose()

  Closes the socket without onDisconnect being called subsequently.

Package | Class | Use | Tree | Deprecated | Index | Help
| PircBot Java IRC Bot
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD